local Broker_GnomishYellowPages = LibStub( "AceAddon-3.0" ):NewAddon("Broker_GnomishYellowPages","AceEvent-3.0" )
local LDB = LibStub("LibDataBroker-1.1", true)
local LibQTip = LibStub('LibQTip-1.0')
local L = LibStub:GetLibrary( "AceLocale-3.0" ):GetLocale("Broker_GnomishYellowPages")
local _G = _G
 
local function RunSlashCmd(cmd)
  local slash, rest = cmd:match("^(%S+)%s*(.-)$")
  for name in pairs(SlashCmdList) do
     local i = 1
     local slashCmd
     repeat
        slashCmd = _G["SLASH_"..name..i]
        if slashCmd == slash then
           -- Call the handler
           SlashCmdList[name](rest)
           return true
        end
        i = i + 1
     until not slashCmd
  end
end 

if (LDB) then
	local ldbButton = LDB:NewDataObject("Broker_GnomishYellowPages", {
		type = "launcher",
		text = "|cffffff00"..L["Gnomish Yellow Pages"].."|r",
		icon = "interface/icons/INV_Misc_Book_12",
		OnClick = function(self, msg)
			RunSlashCmd("/yp")
		end,
		OnEnter = function(self)
			local whiteText = CreateFont("whiteBGYP")
			local yellowText = CreateFont("yellowBGYP")
			whiteText:SetTextColor(1,1,1)
			whiteText:SetFont(GameTooltipText:GetFont(), 12)
			yellowText:SetFont(GameTooltipText:GetFont(), 14)
			yellowText:SetTextColor(1,1,0)
			myTip = LibQTip:Acquire("BGYPToolTip",1,"CENTER")
			myTip:SmartAnchorTo(self)
			myTip:SetFont(whiteText)
			myTip:SetHeaderFont(yellowText)
			myTip:AddHeader(L["The Gnomish Yellow Pages"])
			myTip:AddLine(L["Let your stumpy little"])
			myTip:AddLine(L["fingers do the walking!"])
			myTip:Show()
		end,
		OnLeave = function(self)
			LibQTip:Release(myTip)
		end,
		iconCoords = {.1,.9,.1,.9},
	})
else
	print('LDB not available.');
end

function Broker_GnomishYellowPages:showTooltip()
	return 
	end